Bug 439142 - Review Request: perl-Catalyst-Model-LDAP - LDAP model class for Catalyst
Review Request: perl-Catalyst-Model-LDAP - LDAP model class for Catalyst
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 06:24 EDT by Simon Wilkinson
Modified: 2008-04-12 08:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-12 08:46:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon Wilkinson 2008-03-27 06:24:17 EDT
Spec URL: http://homepages.inf.ed.ac.uk/sxw/perl-Catalyst-Model-LDAP.spec
SRPM URL: http://homepages.inf.ed.ac.uk/sxw/perl-Catalyst-Model-LDAP-0.16-1.fc9.src.rpm
Description:
This is the Net::LDAP model class for Catalyst. It is nothing more than a
simple wrapper for Net::LDAP.
Comment 1 Parag AN(पराग) 2008-03-27 07:12:48 EDT
you need 
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04

as make test need them. see
t/02pod...........................skipped
        all skipped: Test::Pod 1.14 required
t/03podcoverage...................skipped
        all skipped: Test::Pod::Coverage 1.04 required
Comment 2 Simon Wilkinson 2008-03-27 07:26:01 EDT
Fixed in http://homepages.inf.ed.ac.uk/sxw/perl-Catalyst-Model-LDAP-0.16-2.fc9.src.rpm

The build process still ignores these, as TEST_POD isn't set - should the specfile be enabling these 
optional tests, or not, though? Upstream presumably has a reason for not running them by default.


Comment 3 Parag AN(पराग) 2008-03-27 08:06:06 EDT
Review:
+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=534006
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
0ccbf7239d3bed85fe3f588a28a5c268  Catalyst-Model-LDAP-0.16.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful, 7 tests skipped.
Files=9, Tests=8,  2 wallclock secs ( 1.25 cusr +  0.05 csys =  1.30 CPU)

+ Package perl-Catalyst-Model-LDAP-0.16-2.fc9 =>
  Provides: perl(Catalyst::Helper::Model::LDAP) perl(Catalyst::Model::LDAP) =
0.16 perl(Catalyst::Model::LDAP::Connection) perl(Catalyst::Model::LDAP::Entry)
perl(Catalyst::Model::LDAP::Search)
  Requires: perl(Carp) perl(Catalyst::Model::LDAP::Search) perl(Class::C3)
perl(Data::Page) perl(Net::LDAP::Constant) perl(Net::LDAP::Control::Sort)
perl(Net::LDAP::Control::VLV) perl(base) perl(strict) perl(warnings)

SHOULD:
   Try adding line to enable tests in %check
    export TEST_POD=1
APPROVED.
Comment 4 Chris Weyl 2008-03-30 16:53:47 EDT
(In reply to comment #2)
> Fixed in
http://homepages.inf.ed.ac.uk/sxw/perl-Catalyst-Model-LDAP-0.16-2.fc9.src.rpm
> 
> The build process still ignores these, as TEST_POD isn't set - should the
specfile be enabling these 
> optional tests, or not, though? Upstream presumably has a reason for not
running them by default.

Strictly speaking, we try to enable all optional tests...  Tests that don't
check for actual errors (e.g. Test::Perl::Critic, Test::Pod::Coverage,
Test::Kwalitee) aren't blockers for being disabled as they don't check actual
functionality.  They're still encouraged to be enabled, however :)
Comment 5 Parag AN(पराग) 2008-04-04 00:01:09 EDT
ping?
Comment 6 Simon Wilkinson 2008-04-04 06:10:22 EDT
New Package CVS Request
=======================
Package Name: perl-Catalyst-Model-LDAP
Short Description: LDAP model class for Catalyst
Owners: sxw
Branches: EL-5 F-7 F-8 
InitialCC: 
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-04-04 11:45:50 EDT
cvs done.
Comment 8 Parag AN(पराग) 2008-04-12 00:53:51 EDT
is this built? IF yes then we can CLOSE this review
Comment 9 Simon Wilkinson 2008-04-12 08:46:08 EDT
Sorry, life got in the way.
Now built with TEST_POD=1
Will push to F-9 as an update once the release happens.

Thanks, everyone!

Note You need to log in before you can comment on or make changes to this bug.